Subject: Re: [PATCH] TX_RING and packet mmap

From: Evgeniy Polyakov <[email-masked]>
Date: Sun, 12 Apr 2009 23:52:03 +0400

On Sun, Apr 12, 2009 at 09:27:37PM +0200, Johann Baudy ([email-masked]) wrote:
> I've seen that during skb_linearize(), skb_shinfo(skb)->frags[i].page
> is not lost even if pages has been put. So I can get back original
> frag address from this info in skb destructor. Can I rely on
> skb_shinfo(skb)->frags[i].page on more complicated sending paths ... ?

skb_shinfo(skb)->frags[i] can be overwritten, for example in
__pskb_pull_tail() at pull_pages: label.

-- 
	Evgeniy Polyakov